#include <ScatterWeb.System.h>
#include <ScatterWeb.CC1020.h>
#include <string.h>
#include "DataPacketHandler.h"
#include "ScatterWeb.Process.h"



uint8_t Send_Data_Packet (struct data_packet * data_packet, uint8_t next_hop) {
	
	uint8_t   source		= data_packet->source_node;
	uint8_t	  destination   = data_packet->destination_node;
	uint8_t * data			= data_packet->data_point;
	char data_buffer [MAX_LENGTH_OF_DATA];
	sprintf(data_buffer+2,"%s",data);

	netpacket_send_args_t npsargs;
	Net_sendArgsInit(&npsargs);

	npsargs.netheader.to = next_hop;
	npsargs.netheader.type = USERDEFINED_PACKET+1;
	npsargs.netheader.flags = 0;

	data_buffer[0]			= source;
	data_buffer[1]			= destination;

	npsargs.payload[0].buffer = data_buffer;
	npsargs.payload[0].size = strlen(data_buffer)+4; // include terminating char
	
	Net_send(&npsargs);
	return 0;
}

uint8_t Find_Next_Hop (struct data_packet * data_packet){
	int i=0;
	uint8_t next_hop=0;
	float pheromone_value=0;
	for (;i<SIZE_OF_ROUTING_TABLE;i++){
		if (routing_table[i].destination_node == data_packet->destination_node){
			if (routing_table[i].pheromone_value>pheromone_value){
				next_hop		= routing_table[i].destination_node;
				pheromone_value = routing_table[i].pheromone_value;
			}
		}
	}

	return next_hop;
}


