#define PACKET_IN_FANT_TABLE		0
#define PACKET_NOT_IN_FANT_TABLE	10
#define PACKET_IN_BANT_TABLE		0
#define PACKET_NOT_IN_BANT_TABLE	10

#define ROUTING_TABLE_ENTRY_CREATED	0
#define ROUTING_TABLE_ENTRY_EXISTS	0
#define ROUTING_TABLE_FULL			20

#define SIZE_OF_ROUTING_TABLE	100
#define SIZE_OF_FANT_TABLE		100
#define SIZE_OF_BANT_TABLE		100

#define PACKET_TYPE_FANT		1
#define PACKET_TYPE_BANT		2

// Routing table
struct routing_table_entry{
	uint8_t destination_node;	// ID of destination node
	uint8_t next_hop;				// NodeID of the next node
	float pheromone_value;			// Value of the pheromone for the route
	uint8_t flag;					// Additional flag to store some data
};
//Create Routing table
static struct routing_table_entry routing_table[SIZE_OF_ROUTING_TABLE];



// Data of a BANT or FANT packet
struct data_of_fant_bant{
	uint8_t source_node;			// ID of the source node (sending the FANT)
	uint8_t destination_node;	// ID of the destination node
	uint16_t sequence_number;		// Sequence number: Number of FANTs or BANTs of the source node (incremental)
	uint16_t hop_counter;			// Number of hops of the packet
	uint8_t pre_predecessor;		// Node ID of the pre-predecessor
	uint8_t flag;					// Additional flag to store data (e.g. if BANT or FANT)
};


//static struct data_of_fant_bant data_of_actual_bant;
//static struct data_of_fant_bant data_of_actual_fant;


// FANT table to identify duplicated FANT packets
struct fant_bant_table_entry{
	uint8_t source_node;			// ID of the source node (sending the FANT)
	//uint8_t destination_node;	// ID of the destination node
	uint16_t sequence_number;		// Sequence number: Number of FANTs or BANTs of the source node (incremental)
};
static struct fant_bant_table_entry fant_table[SIZE_OF_FANT_TABLE];
static struct fant_bant_table_entry bant_table[SIZE_OF_BANT_TABLE];


struct TrafficGeneratorSettings{
	float interval;
	uint8_t limit;
	uint8_t status;
}trafficSettings;

